Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.config
Class GridStrategyConfiguration

    java.lang.Object
      lbg.simulator.config.GridStrategyConfiguration

All Implemented Interfaces:
  java.lang.Cloneable

    public class GridStrategyConfiguration

extends java.lang.Object
implements java.lang.Cloneable

Author:
  Cyril Briquet

Constructor Summary
`GridStrategyConfiguration(java.util.Properties props)`

Method Summary
`java.lang.Object` | `clone()`
`float[]` | `CONSUMPTION_BLACKLIST_PROBA()`
`long[]` | `CONSUMPTION_TIMEOUT()`
`boolean[]` | `DO_CONSUMPTION_BLACKLIST()`
`java.lang.String` | `format(boolean log_format)` Outputs the GridStrategyConfiguration, formatted either as a property file or as a log file.
`int[]` | `GRANTORS_COUNT_THRESHOLD()`
`int[]` | `GRANTORS_TIME_THRESHOLD()`
`int[]` | `LOCAL_Q_LEN_PREEMPTION_THRESHOLD()`
`java.lang.String[]` | `PEER_DEFAULT_ACCOUNTANT()`
`java.lang.String[]` | `PEER_FILTERING_SUPPLYING_POLICY()`
`java.lang.String[]` | `PEER_NEGOTIATION_CONSUMPTION_POLICY()`
`java.lang.String[]` | `PEER_NEGOTIATION_SUPPLYING_POLICY()`
`java.lang.String[]` | `PEER_PREEMPTION_SUPPLYING_RUNNING_POLICY()`
`java.lang.String[]` | `PEER_PREEMPTION_SUPPLYING_WAITING_POLICY()`
`boolean[]` | `PEER_PSUFFERAGE()`
`int[]` | `PEER_Q_FILTERING_THRESHOLD()`
`java.lang.String[]` | `PEER_SCHEDULING_CONSUMPTION_POLICY()`
`java.lang.String[]` | `PEER_SCHEDULING_LOCAL_POLICY()`
`java.lang.String[]` | `PEER_SCHEDULING_SUPPLYING_POLICY()`
`int[]` | `REQUEST_SUPPLYING_TIME_THRESHOLD()`
`int[]` | `REQUESTORS_COUNT_THRESHOLD()`
`int[]` | `REQUESTORS_TIME_THRESHOLD()`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GridStrategyConfiguration

    public GridStrategyConfiguration(java.util.Properties props)
                              throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the GridStrategyConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format GridStrategyConfiguration as a log file
  Returns:
    formatted GridStrategyConfiguration

### size

    public int size()

### PEER_DEFAULT_ACCOUNTANT

    public java.lang.String[] PEER_DEFAULT_ACCOUNTANT()

### PEER_NEGOTIATION_SUPPLYING_POLICY

    public java.lang.String[] PEER_NEGOTIATION_SUPPLYING_POLICY()

### PEER_NEGOTIATION_CONSUMPTION_POLICY

    public java.lang.String[] PEER_NEGOTIATION_CONSUMPTION_POLICY()

### PEER_SCHEDULING_LOCAL_POLICY

    public java.lang.String[] PEER_SCHEDULING_LOCAL_POLICY()

### PEER_PREEMPTION_SUPPLYING_RUNNING_POLICY

    public java.lang.String[] PEER_PREEMPTION_SUPPLYING_RUNNING_POLICY()

### PEER_PREEMPTION_SUPPLYING_WAITING_POLICY

    public java.lang.String[] PEER_PREEMPTION_SUPPLYING_WAITING_POLICY()

### PEER_FILTERING_SUPPLYING_POLICY

    public java.lang.String[] PEER_FILTERING_SUPPLYING_POLICY()

### PEER_SCHEDULING_SUPPLYING_POLICY

    public java.lang.String[] PEER_SCHEDULING_SUPPLYING_POLICY()

### PEER_SCHEDULING_CONSUMPTION_POLICY

    public java.lang.String[] PEER_SCHEDULING_CONSUMPTION_POLICY()

### REQUESTORS_COUNT_THRESHOLD

    public int[] REQUESTORS_COUNT_THRESHOLD()

### REQUESTORS_TIME_THRESHOLD

    public int[] REQUESTORS_TIME_THRESHOLD()

### GRANTORS_COUNT_THRESHOLD

    public int[] GRANTORS_COUNT_THRESHOLD()

### GRANTORS_TIME_THRESHOLD

    public int[] GRANTORS_TIME_THRESHOLD()

### REQUEST_SUPPLYING_TIME_THRESHOLD

    public int[] REQUEST_SUPPLYING_TIME_THRESHOLD()

### LOCAL_Q_LEN_PREEMPTION_THRESHOLD

    public int[] LOCAL_Q_LEN_PREEMPTION_THRESHOLD()

### PEER_PSUFFERAGE

    public boolean[] PEER_PSUFFERAGE()

### PEER_Q_FILTERING_THRESHOLD

    public int[] PEER_Q_FILTERING_THRESHOLD()

### CONSUMPTION_TIMEOUT

    public long[] CONSUMPTION_TIMEOUT()

### DO_CONSUMPTION_BLACKLIST

    public boolean[] DO_CONSUMPTION_BLACKLIST()

### CONSUMPTION_BLACKLIST_PROBA

    public float[] CONSUMPTION_BLACKLIST_PROBA()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.